| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.Product Class Reference

Class that holds information about products. More...

Inheritance diagram for LicenseSpring.Product:

## Public Member Functions
| Product ()
| Product default constructor.

## Properties
bool | Active`[get]`
| Indicates if the product is active.
bool | AllowOverages`[get]`
| Indicates if licenses for this product allow overages on consumptions.
bool | AllowTrial`[get]`
| Indicates if product allows trial licenses and a trial period. Can be overridden in each individual license.
string | AuthorizationMethod`[get]`
| Indicates if licenses for this product are user based or key based.
uint | Company`[get]`
| Code of the company that the product belongs to.
ConsumptionPeriod | ConsumptionPeriod`[get]`
| If resetConsumption is true, this field sets the period after which the consumptions are reset. Can be daily, weekly, monthly, yearly.
DateTime | CreatedAt`[get]`
| Time when the product was created.
ProductCustomField[] | CustomFields`[get]`
| Array of custom fields.
LicenseType | DefaultLicenseType`[get]`
| Type of licenses on this product. Can be overridden in each individual license.
bool | EnableMaintenancePeriod`[get]`
| If this product has a maintenance support.
int | FloatingTimeout`[get]`
| After how long do floating licenses expire after and are released into the pool.
int | FloatingUsers`[get]`
| Number of users there can be at most if the license is floating.
bool | HardwareIdRequired`[get]`
| Indicates if hardware Id is required for licenses.
ulong | Id`[get]`
| 16 digit product id. This is NOT the product code.
InstallationFile[] | InstallationFiles`[get]`
| Array of available installation files.
bool | IsArchived`[get]`
| Indicates if the product is archived and isn't currently in use.
bool | IsFloating`[get]`
| Does product support floating licenses.
bool | IsFloatingCloud`[get]`
| Does product support floating cloud license.
bool | IsNodeLocked`[get]`
bool | IsUpgrade`[get]`
| Indicates if this product is an upgrade from a different product.
bool | IsUserLocked`[get]`
string | MaintenanceDuration`[get]`
| How long will the product be maintained.
int | MaxActivations`[get]`
| Number of activations there can be at most on each individual license.Can be overridden in each individual license but it can't be bigger than this.
int | MaxConsumptions`[get]`
| Max consumptions on each license. Can be overridden in each individual license, but it can't be more than this.
int | MaxOverages`[get]`
| Number of overages that can be made on one license that is consumption type.
string | Metadata`[get]`
| Product metadata.
bool | PreventVm`[get]`
| If set to true, licenses won't be activated on virtual machines. Can be overridden in each individual license.
ProductFeature[] | ProductFeatures`[get]`
| List of features available for this product.
string | ProductName`[get]`
| Name of the product.
bool | ResetConsumption`[get]`
| Indicates if total consumptions of the license are reset after a certain period.
string | ShortCode`[get]`
| Product code. Can be found in the LicenseSpring platform and is manually set during Product configuration.
string | SubscriptionDuration`[get]`
| How long one subscription lasts.
int | TrialDays`[get]`
| Number of days the trial lasts for.
DateTime | UpdatedAt`[get]`
| Time when the product information was last updated.
ulong[] | UpgradeFrom`[get]`
| This product is an upgrade from a list of products (ids).
string | ValidDuration`[get]`
| Validity duration.
Properties inherited from LicenseSpring.IProduct

## Detailed Description

Class that holds information about products.

## Property Documentation

## ◆ Active

bool LicenseSpring.Product.Active
| get

Indicates if the product is active.

Implements LicenseSpring.IProduct.

## ◆ AllowOverages

bool LicenseSpring.Product.AllowOverages
| get

Indicates if licenses for this product allow overages on consumptions.

Implements LicenseSpring.IProduct.

## ◆ AllowTrial

bool LicenseSpring.Product.AllowTrial
| get

Indicates if product allows trial licenses and a trial period. Can be overridden in each individual license.

Implements LicenseSpring.IProduct.

## ◆ AuthorizationMethod

string LicenseSpring.Product.AuthorizationMethod
| get

Indicates if licenses for this product are user based or key based.

Implements LicenseSpring.IProduct.

## ◆ Company

uint LicenseSpring.Product.Company
| get

Code of the company that the product belongs to.

Implements LicenseSpring.IProduct.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.Product.ConsumptionPeriod
| get

If resetConsumption is true, this field sets the period after which the consumptions are reset. Can be daily, weekly, monthly, yearly.

Implements LicenseSpring.IProduct.

## ◆ CreatedAt

DateTime LicenseSpring.Product.CreatedAt
| get

Time when the product was created.

Implements LicenseSpring.IProduct.

## ◆ CustomFields

ProductCustomField [] LicenseSpring.Product.CustomFields
| get

Array of custom fields.

Implements LicenseSpring.IProduct.

## ◆ DefaultLicenseType

LicenseType LicenseSpring.Product.DefaultLicenseType
| get

Type of licenses on this product. Can be overridden in each individual license.

Implements LicenseSpring.IProduct.

## ◆ EnableMaintenancePeriod

bool LicenseSpring.Product.EnableMaintenancePeriod
| get

If this product has a maintenance support.

Implements LicenseSpring.IProduct.

## ◆ FloatingTimeout

int LicenseSpring.Product.FloatingTimeout
| get

After how long do floating licenses expire after and are released into the pool.

Implements LicenseSpring.IProduct.

## ◆ FloatingUsers

int LicenseSpring.Product.FloatingUsers
| get

Number of users there can be at most if the license is floating.

Implements LicenseSpring.IProduct.

## ◆ HardwareIdRequired

bool LicenseSpring.Product.HardwareIdRequired
| get

Indicates if hardware Id is required for licenses.

Implements LicenseSpring.IProduct.

## ◆ Id

ulong LicenseSpring.Product.Id
| get

16 digit product id. This is NOT the product code.

Implements LicenseSpring.IProduct.

## ◆ InstallationFiles

InstallationFile [] LicenseSpring.Product.InstallationFiles
| get

Array of available installation files.

Implements LicenseSpring.IProduct.

## ◆ IsArchived

bool LicenseSpring.Product.IsArchived
| get

Indicates if the product is archived and isn't currently in use.

Implements LicenseSpring.IProduct.

## ◆ IsFloating

bool LicenseSpring.Product.IsFloating
| get

Does product support floating licenses.

Implements LicenseSpring.IProduct.

## ◆ IsFloatingCloud

bool LicenseSpring.Product.IsFloatingCloud
| get

Does product support floating cloud license.

Implements LicenseSpring.IProduct.

## ◆ IsNodeLocked

bool LicenseSpring.Product.IsNodeLocked
| get

Implements LicenseSpring.IProduct.

## ◆ IsUpgrade

bool LicenseSpring.Product.IsUpgrade
| get

Indicates if this product is an upgrade from a different product.

Implements LicenseSpring.IProduct.

## ◆ IsUserLocked

bool LicenseSpring.Product.IsUserLocked
| get

Implements LicenseSpring.IProduct.

## ◆ MaintenanceDuration

string LicenseSpring.Product.MaintenanceDuration
| get

How long will the product be maintained.

Implements LicenseSpring.IProduct.

## ◆ MaxActivations

int LicenseSpring.Product.MaxActivations
| get

Number of activations there can be at most on each individual license.Can be overridden in each individual license but it can't be bigger than this.

Implements LicenseSpring.IProduct.

## ◆ MaxConsumptions

int LicenseSpring.Product.MaxConsumptions
| get

Max consumptions on each license. Can be overridden in each individual license, but it can't be more than this.

Implements LicenseSpring.IProduct.

## ◆ MaxOverages

int LicenseSpring.Product.MaxOverages
| get

Number of overages that can be made on one license that is consumption type.

Implements LicenseSpring.IProduct.

## ◆ Metadata

string LicenseSpring.Product.Metadata
| get

Product metadata.

Implements LicenseSpring.IProduct.

## ◆ PreventVm

bool LicenseSpring.Product.PreventVm
| get

If set to true, licenses won't be activated on virtual machines. Can be overridden in each individual license.

Implements LicenseSpring.IProduct.

## ◆ ProductFeatures

ProductFeature [] LicenseSpring.Product.ProductFeatures
| get

List of features available for this product.

Implements LicenseSpring.IProduct.

## ◆ ProductName

string LicenseSpring.Product.ProductName
| get

Name of the product.

Implements LicenseSpring.IProduct.

## ◆ ResetConsumption

bool LicenseSpring.Product.ResetConsumption
| get

Indicates if total consumptions of the license are reset after a certain period.

Implements LicenseSpring.IProduct.

## ◆ ShortCode

string LicenseSpring.Product.ShortCode
| get

Product code. Can be found in the LicenseSpring platform and is manually set during Product configuration.

Implements LicenseSpring.IProduct.

## ◆ SubscriptionDuration

string LicenseSpring.Product.SubscriptionDuration
| get

How long one subscription lasts.

Implements LicenseSpring.IProduct.

## ◆ TrialDays

int LicenseSpring.Product.TrialDays
| get

Number of days the trial lasts for.

Implements LicenseSpring.IProduct.

## ◆ UpdatedAt

DateTime LicenseSpring.Product.UpdatedAt
| get

Time when the product information was last updated.

Implements LicenseSpring.IProduct.

## ◆ UpgradeFrom

ulong [] LicenseSpring.Product.UpgradeFrom
| get

This product is an upgrade from a list of products (ids).

Implements LicenseSpring.IProduct.

## ◆ ValidDuration

string LicenseSpring.Product.ValidDuration
| get

Validity duration.

Implements LicenseSpring.IProduct.

The documentation for this class was generated from the following file:

- Product.cs